' DTP.inc

' TYPEs to be used in CLASSES as Members
' for Circles
TYPE TCObj
	INT s,x,y,r
	UINT bgcol,fgcol
ENDTYPE

' for Rectangles and Ellipses
TYPE TRObj
	INT s
	WINRECT aRect
	UINT bgcol,fgcol
ENDTYPE

'---------------------------------------------------------------------

CLASS Circles
	DECLARE Circles()
	DECLARE SetCircleParam(TCObj obj)
	DECLARE DrawCircles(pointer m_win)
PROTECTED
	TCObj m_obj
ENDCLASS

CLASS Ellipses
	DECLARE Ellipses()
	DECLARE SetEllipsesParam(TRObj obj)
	DECLARE DrawEllipses(pointer m_win)
PROTECTED
	TRObj m_obj
ENDCLASS

CLASS Rects
	DECLARE Rects()
	DECLARE SetRectsParam(TRObj obj)
	DECLARE DrawRects(pointer m_win)
PROTECTED
	TRObj m_obj
ENDCLASS

' Master Class which uses other Classes
CLASS CDTP
	DECLARE CDTP()
	DECLARE SetWindow(window win)
	DECLARE ProcessCircles(TCObj obj)
	DECLARE ProcessRects(TRObj obj)
	DECLARE ProcessEllipses(TRObj obj)
	Circles XCircles
	Rects XRects
	Ellipses XEllipses
PROTECTED
    POINTER m_win
'	Circles XCircles
'	Rects XRects
'   Ellipses XEllipses
ENDCLASS

